Download it now!
Bug 134029 - EDITING Pie chart data label cannot be moved if outside chart with Best fit
Summary: EDITING Pie chart data label cannot be moved if outside chart with Best fit
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2020-06-16 09:31 UTC by NISZ LibreOffice Team
Modified: 2020-09-11 21:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Excel (12.57 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-06-16 09:31 UTC, NISZ LibreOffice Team
Details
Screenshot of the problematic label in Calc (55.43 KB, image/png)
2020-06-16 09:31 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-06-16 09:31:02 UTC
Created attachment 162039 [details]
Example file from Excel

Attached document contains a pie chart with data labels enabled and Best fit placement used.
One of the labels does not fit inside its pie slice, so it is displayed outside of the slice.
This label cannot be moved with the mouse, unlike all the others that fit inside their pie slices.
With other placement options there is no such limitation.

Steps to reproduce:
    1. Open attached file
    2. Try to move the individual data labels

Actual results:
You can move the data labels except the one for the gray slice.

Expected results:
All data labels can be moved.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x86)
Build ID: 33a720ab802491f15b247e09755cd36205b6f435
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-06-16 09:31:19 UTC
Created attachment 162040 [details]
Screenshot of the problematic label in Calc
Comment 2 Commit Notification 2020-06-19 12:44:15 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c66cb6d6e4a843dc7c7d06e1c2c0723a6ff85fc5

tdf#134029 Chart view: enable to move data label

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-06-25 10:19:51 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/2bb5d9624911eb78ce5a3cd0aa122f9307c50a5c

tdf#134029 Chart view: enable to move data label

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.